'use strict';

const parseValue = require("./value");

module.exports = function tableToArray(table) {
	return table.fields.filter((field) => {
		return (field.type === "TableValue");
	}).map((field) => {
		return parseValue(field.value);
	});
}