'use strict';

const parseValue = require("./value");

module.exports = function tableToObject(table) {
	return table.fields.filter((field) => {
		return (field.type === "TableKeyString");
	}).reduce((obj, field) => {
		// FIXME: Non-Identifier keys?
		obj[field.key.name] = parseValue(field.value);
		return obj;
	}, {});
}